Name: aqemu
Version: 0.8.2
Release: 7%{?dist}
Summary: A QT graphical interface to QEMU and KVM
Group: Applications/Emulators
License: GPLv2+
URL: http://aqemu.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Patch for desktop file to ensure it shows up in the GNOME overview.
# Upstream: http://sourceforge.net/tracker/?func=detail&aid=3430317&group_id=229794&atid=1078458
Patch0: aqemu-0.8.2-fedora-desktop.patch
# Fatch for vncview.cp file to disable macro that clashes with QT 4.8.
# Upstram: http://sourceforge.net/tracker/?func=detail&aid=3429937&group_id=229794&atid=1078458
Patch1: aqemu-0.8.2-qt48.patch
BuildRequires: qt-devel 
BuildRequires: cmake 
BuildRequires: libvncserver-devel
BuildRequires: desktop-file-utils
BuildRequires: gnutls-devel
BuildRequires: hicolor-icon-theme

%description
AQEMU is a graphical user interface to QEMU and KVM, written in Qt4. The 
program has a user-friendly interface and allows user to set the 
majority of QEMU and KVM options on their virtual machines.

%prep
%setup -q
%patch0 
%patch1  

%build
%cmake
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
# Copy 48x48 and 64x64 icons to correct location.
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{48x48,64x64}/apps
mv %{buildroot}%{_datadir}/pixmaps/%{name}_48x48.png \
   %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
mv %{buildroot}%{_datadir}/pixmaps/%{name}_64x64.png \
   %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
# Remove directories from install which are not being deployed in RPM.
rm -rf %{buildroot}%{_datadir}/pixmaps
rm -rf %{buildroot}%{_datadir}/menu
rm -rf %{buildroot}%{_datadir}/doc/%{name}
# Validate the icon file.
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{_bindir}/%{name}
%doc AUTHORS CHANGELOG COPYING TODO
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Mar 5 2012 Stephen Gordon <sgordon@redhat.com> - 0.8.2-7
- Added BuildRequires on hicolor-icon-theme (bz#734275).

* Mon Feb 27 2012 Stephen Gordon <sgordon@redhat.com> - 0.8.2-6
- Added BuildRequires on gnutls-devel (bz#734275).
- Added white space to spec file changelog (bz#734275).
- Added comment for desktop patch file (bz#734275).
- Added patch disabling error macro definition (bz#734275).
- Updated license in spec file to GPLv2+ (bz#734275).
- Updated man page location to include section number (bz#734275).
- Removed README file as it only detailed installation (bz#734275).

* Mon Sep 05 2011 Stephen Gordon <sgordon@redhat.com> - 0.8.2-5
- Updated to include both icon sizes supplied by upstream (bz#734275).

* Tue Aug 30 2011 Stephen Gordon <sgordon@redhat.com> - 0.8.2-4
- Updated to drop redundant slashes in paths (bz#734275).
- Updated desktop file to pass desktop-file-validate tests (bz#734275).

* Tue Aug 30 2011 Stephen Gordon <sgordon@redhat.com> - 0.8.2-3
- Escaped macros in changelog (bz#734275).
- Dropped explicit requires fields (bz#734275).
- Updated to use desktop-file-validate for desktop file (bz#734275).
- Settled on %%{buildroot} for referring to build root consistently 
  (bz#734275).
- Updated to deploy documentation files to correct location (bz#734275).

* Tue Aug 30 2011 Stephen Gordon <sgordon@redhat.com> - 0.8.2-2
- Updated Source0 to include full URL (bz#734275).
- Removed BuildRoot, %%clean, and %%defattr, not required (bz#734275).
- Moved icon file manipulation from %%prep to %%install (bz#734275).
- Modified to use %%cmake macro instead of explicit cmake call (bz#734275).
- Added smp flags to make call (bz#734275).
- Modified to use make install instead of make install/strip (bz#734275).
- Modified to ensure correct DESTDIR on make call (bz#734275).

* Mon Aug 29 2011 Stephen Gordon <sgordon@redhat.com> - 0.8.2-1
- Initial packaging of aqemu 0.8.2 for Fedora, based on SuSE aqemu 0.8.1 RPM.
